<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionJumpLinksBlockCreateJumpLinksBlockFields extends Migration
{

    /**
     * The addon fields.
     *
     * @var array
     */
    protected $fields = [
        'title'      => [
            'en'   => [
                'name' => 'Title',
            ],
            'type' => 'anomaly.field_type.text',
        ],
        'url'        => [
            'en'   => [
                'name'         => 'URL',
                'instructions' => 'Use the #target of the section you want to jump to on this page.',
            ],
            'type' => 'anomaly.field_type.url',
        ],
        'jump_links' => [
            'en'     => [
                'name' => 'Jump Links',
            ],
            'type'   => 'anomaly.field_type.repeater',
            'config' => [
                'related' => 'jump_links_block.jump_links',
                'add_row' => 'Add Link',
            ],
        ],
    ];

}
