<?php namespace Terrostar\JumpLinksBlockExtension;

use Anomaly\Streams\Platform\Addon\AddonServiceProvider;
use Terrostar\JumpLinksBlockExtension\Block\BlockModel;
use Terrostar\JumpLinksBlockExtension\JumpLink\JumpLinkModel;

class JumpLinksBlockExtensionServiceProvider extends AddonServiceProvider
{

    /**
     * The addon class bindings.
     *
     * @type array|null
     */
    protected $bindings = [
        JumpLinksBlockBlocksEntryModel::class    => BlockModel::class,
        JumpLinksBlockJumpLinksEntryModel::class => JumpLinkModel::class,
    ];

}
